// To parse this JSON data, do
//
//     final treesImprovements = treesImprovementsFromJson(jsonString);

import 'dart:convert';

TreesImprovements treesImprovementsFromJson(String str) =>
    TreesImprovements.fromJson(json.decode(str));

String treesImprovementsToJson(TreesImprovements data) =>
    json.encode(data.toJson());

class TreesImprovements {
  final int? id;
  final String? improvement;
  final String? pricePerTree;
  final dynamic subclassCode;

  TreesImprovements({
    this.id,
    this.improvement,
    this.pricePerTree,
    this.subclassCode,
  });

  TreesImprovements copy({
    final int? id,
    final String? improvement,
    final String? pricePerTree,
    final dynamic subclassCode,
  }) {
    return TreesImprovements(
      id: id ?? this.id,
      improvement: improvement ?? this.improvement,
      pricePerTree: pricePerTree ?? this.pricePerTree,
      subclassCode: subclassCode ?? this.subclassCode,
    );
  }

  factory TreesImprovements.fromJson(Map<String, dynamic> json) =>
      TreesImprovements(
        id: json["id"],
        improvement: json["improvement"],
        pricePerTree: json["price_per_tree"],
        subclassCode: json["subclass_code"],
      );

  factory TreesImprovements.fromJson2(Map<String, dynamic> json) =>
      TreesImprovements(
        id: json["id"],
        improvement: json["improvement"],
        pricePerTree: json["pricePerTree"],
        subclassCode: json["subclassCode"],
      );

  Map<String, dynamic> toJson() => {
        "id": id,
        "improvement": improvement,
        "price_per_tree": pricePerTree,
        "subclass_code": subclassCode,
      };
}
